PipeWire 0.1.9

Functions
pipewire.h File Reference
Include dependency graph for pipewire.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | pw_init (int *argc, char **argv[])
bool | pw_debug_is_category_enabled (const char *name)
const char * | pw_get_application_name (void)
const char * | pw_get_prgname (void)
const char * | pw_get_user_name (void)
const char * | pw_get_host_name (void)
char * | pw_get_client_name (void)
void | pw_fill_remote_properties (struct pw_core *core, struct pw_properties *properties)
void | pw_fill_stream_properties (struct pw_core *core, struct pw_properties *properties)
enum pw_direction | pw_direction_reverse (enum pw_direction direction)
void * | pw_get_support_interface (const char *type)
| Get a support interface. More...
void * | pw_get_spa_dbus (struct pw_loop *loop)
const struct spa_handle_factory * | pw_get_support_factory (const char *factory_name)
const struct spa_support * | pw_get_support (uint32_t *n_support)

## Function Documentation

## ◆ pw_debug_is_category_enabled()

bool pw_debug_is_category_enabled | ( | const char * | name | ) |

## ◆ pw_direction_reverse()

enum pw_direction pw_direction_reverse | ( | enum pw_direction | direction | ) |

## ◆ pw_fill_remote_properties()

void pw_fill_remote_properties | ( | struct pw_core * | core,
|  | struct pw_properties * | properties
| ) |  |

## ◆ pw_fill_stream_properties()

void pw_fill_stream_properties | ( | struct pw_core * | core,
|  | struct pw_properties * | properties
| ) |  |

## ◆ pw_get_application_name()

const char* pw_get_application_name | ( | void |  | ) |

## ◆ pw_get_client_name()

char* pw_get_client_name | ( | void |  | ) |

## ◆ pw_get_host_name()

const char* pw_get_host_name | ( | void |  | ) |

## ◆ pw_get_prgname()

const char* pw_get_prgname | ( | void |  | ) |

## ◆ pw_get_spa_dbus()

void* pw_get_spa_dbus | ( | struct pw_loop * | loop | ) |

Referenced by pw_core::pw_core_new().

## ◆ pw_get_support()

const struct spa_support* pw_get_support | ( | uint32_t * | n_support | ) |

Referenced by pw_loop::pw_loop_new().

## ◆ pw_get_support_factory()

const struct spa_handle_factory* pw_get_support_factory | ( | const char * | factory_name | ) |

Referenced by pw_loop::pw_loop_new().

## ◆ pw_get_support_interface()

void* pw_get_support_interface | ( | const char * | type | ) |

Get a support interface.

Parameters

  type | the interface type

Returns
  the interface or NULL when not configured

Referenced by pw_type::pw_type_init().

## ◆ pw_get_user_name()

const char* pw_get_user_name | ( | void |  | ) |

## ◆ pw_init()

void pw_init | ( | int * | argc,
|  | char ** | argv[]
| ) |  |